#include <stdio.h>
#include <unistd.h>
#include "hw_impl_unix.h"
#include "quad_app.h"
#include <fcntl.h>

int setup_hardware(hardware_t *hardware) {
  hardware->i2c = create_unix_i2c();
  hardware->rc_receiver = create_unix_rc_receiver();
  hardware->motors = create_unix_motors();
  hardware->uart = create_unix_uart();
  hardware->global_timer = create_unix_global_timer();
  hardware->axi_timer = create_unix_axi_timer();
  hardware->mio7_led = create_unix_mio7_led();
  hardware->sys = create_unix_system();
  return 0;
}

int main(int argc, char *argv[]) {
  int fd, opt;
  while ((opt = getopt(argc, argv, "q")) != -1) {
    switch (opt) {
    case 'q':
      fd = open("/dev/null", O_WRONLY);
      close(STDOUT_FILENO);
      dup2(STDOUT_FILENO, fd);
      break;
    default: /* '?' */
      fprintf(stderr, "Usage: %s [-q]\n", argv[0]);
      exit(EXIT_FAILURE);
    }
  }

  quad_main(setup_hardware);
  return 0;
}
